Cyberduck Mountain Duck CLI

#10215 closed enhancement (fixed)

Option to skip calculating checksum

Reported by: InsomniumBR Owned by: dkocher
Priority: low Milestone: 6.9.0
Component: cli Version: 6.3.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

First, thanks for the App, great job! I am using Duck CLI to upload a bunch of files (~25k) to an Azure Storage. There's a lot more files there (250k), I tried using synchronize and now I am using the upload function, but both are very slow because of the checksum (md5). Is there a way to disable that? Like, just verify if file exists or file datetime instead of doing this checksum?

Thanks in advance!

Change History (13)

comment:1 Changed on Feb 4, 2018 at 4:15:15 PM by InsomniumBR

I forgot to said that I am already using the skip parameter on existing, but it still calculates the checksums.

comment:2 Changed on Feb 5, 2018 at 8:33:12 AM by dkocher

  • Type changed from defect to enhancement

There is currently no way to disable the MD5 checksum calculation.

comment:3 Changed on Feb 5, 2018 at 8:48:08 AM by dkocher

  • Summary changed from Fastest way to upload some files to Azure to Option to skip calculating MD5 checksum

comment:4 Changed on Feb 5, 2018 at 8:48:15 AM by dkocher

  • Priority changed from normal to low

comment:5 Changed on Oct 31, 2018 at 9:47:32 AM by dkocher

  • Milestone set to 7.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:6 Changed on Oct 31, 2018 at 9:54:30 AM by dkocher

Checksum calculation can be disabled by setting defaults write ch.sudo.cyberduck queue.upload.checksum.calculate false.

comment:7 Changed on Dec 31, 2018 at 9:55:25 PM by dkocher

  • Summary changed from Option to skip calculating MD5 checksum to Option to skip calculating checksum for uploads

comment:8 Changed on Dec 31, 2018 at 9:55:52 PM by dkocher

  • Milestone changed from 7.0 to 6.9.0

comment:9 Changed on Jan 1, 2019 at 5:53:06 PM by dkocher

  • Summary changed from Option to skip calculating checksum for uploads to Option to skip calculating checksum

comment:10 Changed on Jan 13, 2019 at 3:06:19 PM by dkocher

In r46010 for CLI.

comment:11 Changed on Jan 13, 2019 at 3:06:53 PM by dkocher

In r46013 preference option for macOS.

comment:12 Changed on Jan 13, 2019 at 3:07:41 PM by dkocher

In r46019 preference option for Windows.

comment:13 Changed on Jan 13, 2019 at 3:07:45 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed
Note: See TracTickets for help on using tickets.
swiss made software